Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.component
Class XMLSerializer

    java.lang.Object
      org.apache.cocoon.xml.sax.AbstractSAXProducer
          org.apache.cocoon.xml.sax.AbstractSAXPipe
              org.apache.cocoon.sax.util.SAXConsumerAdapter
                  org.apache.cocoon.sax.AbstractSAXSerializer
                      org.apache.cocoon.sax.component.XMLSerializer

All Implemented Interfaces:
  CachingPipelineComponent, Consumer, Finisher, PipelineComponent, SAXConsumer, SAXPipelineComponent, ContentHandler, LexicalHandler

    public class XMLSerializer

extends AbstractSAXSerializer
implements CachingPipelineComponent

Field Summary

Fields inherited from class org.apache.cocoon.xml.sax.AbstractSAXProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler`

Constructor Summary
`XMLSerializer()`
`XMLSerializer(Properties format)`

Method Summary
`CacheKey` | `constructCacheKey()`
`static XMLSerializer` | `createHTML4Serializer()`
`static XMLSerializer` | `createXHTMLSerializer()`
`static XMLSerializer` | `createXMLSerializer()`
`protected Properties` | `getFormat()`
`XMLSerializer` | `setCDataSectionElements(String cdataSectionElements)`
`XMLSerializer` | `setDoctypePublic(String doctypePublic)`
`XMLSerializer` | `setDoctypeSystem(String doctypeSystem)`
`XMLSerializer` | `setEncoding(String encoding)`
`void` | `setFormat(Properties format)`
`XMLSerializer` | `setIndent(boolean indent)`
`XMLSerializer` | `setMediaType(String mediaType)`
`XMLSerializer` | `setMethod(String method)`
`XMLSerializer` | `setOmitXmlDeclaration(boolean omitXmlDeclration)`
`void` | `setOutputStream(OutputStream outputStream)`
`XMLSerializer` | `setStandAlone(boolean standalone)`
`void` | `setup(Map<String,Object> inputParameters)` The shared object map for this pipeline run.
`XMLSerializer` | `setVersion(String version)`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXSerializer
`getConfiguration, getContentType, getInputParameters, getOutputStream, setConfiguration, setContentType, toString`

Methods inherited from class org.apache.cocoon.sax.util.SAXConsumerAdapter
`finish, getContentHandler`

Methods inherited from class org.apache.cocoon.xml.sax.AbstractSAXPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.sax.AbstractSAXProducer
`recycle, setContentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Constructor Detail

### XMLSerializer

    public XMLSerializer()

### XMLSerializer

    public XMLSerializer(Properties format)

Method Detail

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`

### setCDataSectionElements

    public XMLSerializer setCDataSectionElements(String cdataSectionElements)

### setDoctypePublic

    public XMLSerializer setDoctypePublic(String doctypePublic)

### setDoctypeSystem

    public XMLSerializer setDoctypeSystem(String doctypeSystem)

### setEncoding

    public XMLSerializer setEncoding(String encoding)

### setFormat

    public void setFormat(Properties format)

### setIndent

    public XMLSerializer setIndent(boolean indent)

### setMediaType

    public XMLSerializer setMediaType(String mediaType)

### setMethod

    public XMLSerializer setMethod(String method)

### setOmitXmlDeclaration

    public XMLSerializer setOmitXmlDeclaration(boolean omitXmlDeclration)

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Description copied from class: `AbstractSAXSerializer`

  Specified by:
    `setOutputStream` in interface `Finisher`
  Overrides:
    `setOutputStream` in class `AbstractSAXSerializer`
  See Also:
    `Finisher.setOutputStream(java.io.OutputStream)`

### setStandAlone

    public XMLSerializer setStandAlone(boolean standalone)

### setup

    public void setup(Map<String,Object> inputParameters)

  Description copied from class: `AbstractSAXSerializer`
  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `AbstractSAXSerializer`
  Parameters:
    `inputParameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.
  See Also:
    `PipelineComponent.setup(java.util.Map)`

### setVersion

    public XMLSerializer setVersion(String version)

### getFormat

    protected Properties getFormat()

### createXHTMLSerializer

    public static XMLSerializer createXHTMLSerializer()

### createHTML4Serializer

    public static XMLSerializer createHTML4Serializer()

### createXMLSerializer

    public static XMLSerializer createXMLSerializer()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.